VERSION 5.00
Object = "{02B5E320-7292-11CF-93D5-0020AF99504A}#2.0#0"; "MSCHRT20.OCX"
Begin VB.Form Form1 
   Caption         =   "Simple MSChart Control Demo"
   ClientHeight    =   6195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9255
   LinkTopic       =   "Form1"
   ScaleHeight     =   6195
   ScaleWidth      =   9255
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton bttnTitles 
      Caption         =   "Show Titles"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   420
      Left            =   6270
      TabIndex        =   4
      Top             =   5610
      Width           =   1725
   End
   Begin VB.CommandButton bttnLegends 
      Caption         =   "Show Legends"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   420
      Left            =   4485
      TabIndex        =   3
      Top             =   5625
      Width           =   1725
   End
   Begin VB.CommandButton bttnLabelX 
      Caption         =   "Label X Axis"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   420
      Left            =   2700
      TabIndex        =   2
      Top             =   5625
      Width           =   1725
   End
   Begin VB.CommandButton bttnPopulate 
      Caption         =   "Populate"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   420
      Left            =   900
      TabIndex        =   1
      Top             =   5625
      Width           =   1725
   End
   Begin MSChartLib.MSChart MSChart1 
      Height          =   5550
      Left            =   15
      OleObjectBlob   =   "chart1.frx":0000
      TabIndex        =   0
      Top             =   15
      Width           =   9150
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'  ******************************
'  ******************************
'  ** MASTERING VB6            **
'  ** by Evangelos Petroutos   **
'  ** SYBEX, 1998              **
'  ******************************
'  ******************************

Private Sub bttnPopulate_Click()
Dim arrData(1 To 12, 1 To 3)

    For i = 1 To 12
        arrData(i, 1) = 100 + Int(Rnd() * 200)   ' Series 1
        arrData(i, 2) = 200 + Int(Rnd() * 300)   ' Series 2
        arrData(i, 3) = 100 + Int(Rnd() * 600)   ' Series 3
    Next
    MSChart1.RowCount = 12
    MSChart1.ColumnCount = 3
    MSChart1.ChartData = arrData
End Sub

Private Sub bttnLabelX_Click()
Dim arrData(1 To 12, 1 To 4)

    For i = 1 To 12
        arrData(i, 1) = Left(MonthName(i), 3)
        arrData(i, 2) = 100 + Int(Rnd() * 200)   ' Series 1
        arrData(i, 3) = 200 + Int(Rnd() * 300)   ' Series 2
        arrData(i, 4) = 100 + Int(Rnd() * 600)   ' Series 3
    Next
    MSChart1.RowCount = 12
    MSChart1.ColumnCount = 3
    MSChart1.ChartData = arrData
End Sub

Private Sub bttnLegends_Click()
    For i = 1 To MSChart1.ColumnCount
        MSChart1.Plot.SeriesCollection(i).LegendText = i + 1997
    Next
    MSChart1.ShowLegend = True
End Sub

Private Sub bttnTitles_Click()
    MSChart1.Title.Text = "Graph Title"
    MSChart1.Plot.Axis(VtChAxisIdX).AxisTitle.Text = "X TITLE"
    MSChart1.Plot.Axis(VtChAxisIdY).AxisTitle.Text = "Y TITLE"
    MSChart1.Plot.Axis(VtChAxisIdY2).AxisScale.Hide = True
End Sub

Private Sub MSChart1_AxisTitleSelected(axisID As Integer, AxisIndex As Integer, MouseFlags As Integer, Cancel As Integer)
    MSChart1.Plot.Axis(axisID).AxisTitle.Text = InputBox("Enter new axis title", , MSChart1.Plot.Axis(axisID).AxisTitle.Text)
End Sub

Private Sub MSChart1_SeriesSelected(Series As Integer, MouseFlags As Integer, Cancel As Integer)
    thisLegend = MSChart1.Plot.SeriesCollection(Series).LegendText
    thisLegend = InputBox("Enter new legend for series", , thisLegend)
    MSChart1.Plot.SeriesCollection(Series).LegendText = thisLegend
End Sub

Private Sub MSChart1_TitleSelected(MouseFlags As Integer, Cancel As Integer)
    MSChart1.Title.Text = InputBox("Enter new title", , MSChart1.Title.Text)
End Sub
